Skip to content

List all templates in project
GA

Request

Returns a paginated list of templates for the specified project. If no page token is supplied then the first 50 templates are returned in alphabetical order.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

plusFriendIdstringrequired

The unique ID of the sender.

Query
filterStatesArray of strings(KakaotalkTemplateStatesEnum)

Optionally query for template by states.

Items Enum:"APPROVED""REJECTED"
filterStatusesArray of strings(KakaotalkTemplateStatusesEnum)

Optionally query for template by statuses.

Items Enum:"DRAFT""IN_PROGRESS""REJECTED"
pageSizenumber, [ 1 .. 1000 ]

The page size requested.

pageTokenstring

The page token if retrieving the next page from a previous query.

templateNamestring

Optionally query for template by name. Will return all templates with names that begin with the query string.

curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/templates?filterStates=APPROVED&filterStatuses=DRAFT&pageSize=1&pageToken=string&templateName=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

List of templates

Bodyapplication/json
totalSizenumberrequired

Total size of the entries matching the search query.

pageSizenumberrequired

Requested size of the page.

templatesArray of objects(KakaotalkTemplateDto)required

List of templates

previousPageTokenstring

Encoded token to use in list request to fetch previous batch of entries.

nextPageTokenstring

Encoded token to use in list request to fetch next batch of entries.

Response

Response with templates.

{ "totalSize": 2, "pageSize": 50, "templates": [ { … }, { … } ] }
We'd love to hear from you!
Rate this content: